/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

.preview {
  white-space: break-spaces;
}

.page-break {
  display: inline-flex;
  flex-direction: row;
  margin: 0.5em 0 0.5em 0;
  align-items: center;
  width: 100%;
}

.page-break--line {
  width: 100%;
  border-bottom: 1px solid get-color($openk-default-palette, 900);
}

.page-break--text {
  padding: 0 0.7em;
  font-style: italic;
  color: get-color($openk-default-palette, 900);
}

.text {
  padding: 0 0.5em 0 0.5em;
  display: inline-block;
  max-width: 100%;
  box-sizing: border-box;
  word-wrap: break-word;
}
